Package org.liblouis

# Class LibLouis

java.lang.Object
org.liblouis.LibLouis

public final class LibLouis extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`backTranslate(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, int[] outputPos, int[] inputPos, int[] cursorPos, byte[] typeform, String logFileName, int mode)`
`boolean`
`backTranslateString(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, String logFileName, int mode)`
`int`
`charSize()`
Get the size of widechar used by LibLouis.
`boolean`
`compileString(String tableList, String newEntry, String logFile)`
Add a new entry to a table.
`static LibLouis`
`getInstance()`
`boolean`
`hyphenate(String tableList, byte[] inbuf, int inlen, byte[] hyphens, String logFilename, int mode)`
`static void`
`loadLibrary(String libraryPath, String librarySuffix)`
`void`
`logEnd()`
End the liblouis log file.
`void`
`registerLogCallback(LogCallback cb)`
Register a callback for liblouis logging.
`void`
`setDataPath(String path)`
Set the path for which liblouis will look for tables.
`void`
`setLogFile(String fileName)`
Set the log file for liblouis.
`void`
`setLogLevel(int level)`
Set liblouis logging level.
`boolean`
`translate(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, int[] outputPos, int[] inputPos, int[] cursorPos, String logFileName, int mode)`
`boolean`
`translateString(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, String logFileName, int mode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### loadLibrary

public static void loadLibrary(String libraryPath, String librarySuffix) throws Exception

Throws:
  `Exception`

### getInstance

public static LibLouis getInstance()

### charSize

public int charSize()
Get the size of widechar used by LibLouis.

### setDataPath

public void setDataPath(String path)
Set the path for which liblouis will look for tables.

### setLogFile

public void setLogFile(String fileName)
Set the log file for liblouis.

### logEnd

public void logEnd()
End the liblouis log file.

### registerLogCallback

public void registerLogCallback(LogCallback cb)
Register a callback for liblouis logging.

### setLogLevel

public void setLogLevel(int level)
Set liblouis logging level.

### compileString

public boolean compileString(String tableList, String newEntry, String logFile)
Add a new entry to a table.

### translateString

public boolean translateString(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, String logFileName, int mode)

### translate

public boolean translate(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, int[] outputPos, int[] inputPos, int[] cursorPos, String logFileName, int mode)

### hyphenate

public boolean hyphenate(String tableList, byte[] inbuf, int inlen, byte[] hyphens, String logFilename, int mode)

### backTranslateString

public boolean backTranslateString(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, byte[] typeform, String logFileName, int mode)

### backTranslate

public boolean backTranslate(String tableList, byte[] inbuf, int[] inlen, byte[] outbuf, int[] outlen, int[] outputPos, int[] inputPos, int[] cursorPos, byte[] typeform, String logFileName, int mode)